Skip to main content
POST
/
content
/
listeners
Create a content listener
curl --request POST \
  --url https://ai.wisepilot.app/api/v1/content/listeners \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "source_type": "reddit",
  "query_config": {},
  "poll_interval": "12h"
}
'
{
  "success": true,
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "websiteId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "sourceType": "reddit",
    "queryConfig": {},
    "pollInterval": "1h",
    "nextPollAt": "2023-11-07T05:31:56Z",
    "lastPolledAt": "2023-11-07T05:31:56Z",
    "lastItemCount": 123,
    "enabled": true,
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

API key prefixed with cr_ (e.g. cr_a1b2c3...)

Query Parameters

website_id
string<uuid>

Website ID. Auto-resolved if key has single website scope.

Body

application/json
name
string
required

Human-readable label for this listener

source_type
enum<string>
required

External source to monitor

Available options:
reddit,
youtube,
google_news,
google_search,
rss,
linkedin,
x,
pinterest,
quora
query_config
object

Source-specific query parameters (subreddit, keywords, RSS URL, etc.)

poll_interval
enum<string>
default:12h

How often to poll the source for new items

Available options:
1h,
6h,
12h,
24h,
7d

Response

Listener created

success
boolean
required
data
object